footer {
    background: var(--uicolor-2);
}.footer-body {
    padding-top: 58px;
    border-radius: 0 0 35px 35px;
    margin-top: 100px;
}.footer_shape {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: var(--backgroung);
    background-repeat: no-repeat;
    background-position: right;
    opacity: .03;
    background-size: cover;
}.footer-body .container {
    position: relative;
}footer-body {
    display: flex;
    align-items: flex-start;
    place-content: flex-start space-between;
    flex-wrap: wrap;
    margin-inline: -15px;
    border-bottom: 1px solid #ffffff1a;
    position: relative;
    padding-top: 20px;
}.footer_top {
    background: var(--background);
    position: absolute;
    top: -120px;
    width: 98%;
    right: 13px;
    overflow: hidden;
    display: flex;
    border-radius: 50px;
    box-shadow: 0 2px 6px #00000073;
    flex-wrap: wrap;
    align-items: center;
    padding: 22px 35px;
    justify-content: space-between;
}.footer_top::before {
    position: absolute;
    left: 267px;
    bottom: -12px;
    border-right: 61px solid var(--background);
    z-index: 2;
}
.footer_top::after, .footer_top::before {
    content: "";
    top: -32px;
    border-top: 85px solid transparent;
    border-bottom: 88px solid transparent;
}.-footer-site-logo.--logo-Image {
    max-width: max-content;
}.-footer-site-logo.--logo-Image>a {
    display: block;
}.-footer-p-content {
    height: 53px;
    overflow: hidden;
    font-size: 16px;
    line-height: 26px;
    margin-bottom: 0;
    max-width: 744px;
    font-weight: 600;
    color: #1b59a1;
    position: relative;
    z-index: 3;
}.footer_top .deful-URL {
    margin: 0;
}.footer_top::after {
    position: absolute;
    left: 265px;
    bottom: -14px;
    border-right: 61px solid #00000017;
    z-index: 1;
}.-footer-widgets.-current-widgets-menu1 {
    padding-inline-start: 40px;
}

.-footer-widgets {
    margin: 14px 15px;
    display: block;
    position: relative;
    flex: 1;
}.footer-w-title {
    display: block;
    font-weight: 600;
    font-size: 21px;
    margin-bottom: 25px;
    color: #fff;
    line-height: 1.4;
}.footer-w-title::before {
    content: '';
    position: absolute;
    background: var(--uicolor);
    width: 57px;
    height: 2px;
    top: 34px;
}.-footer-wlinks {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    max-width: 461px;
    gap: 17px;
}

ul.-footer-wlinks a i {
    width: 30px;
    background: white;
    height: 30px;
    color: var(--uicolor);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

ul.-footer-wlinks a {
    gap: 8px;
}ul.-footer-wlinks li {
    flex: 0 0 calc(100% - 10px);
    margin-bottom: 0;
}.-footer-wlinks>li>a {
    font-weight: 400;
    padding: 0;
    transition: 180ms;
    position: relative;
    font-size: 17px;
    overflow: hidden;
    color: #ffffffc7;
    line-height: 1.4;
}ul.-footer-wlinks li a::after {
    content: "";
    background: var(--uicolor);
    position: absolute;
    height: 1px;
    transition: .4s;
    width: 0;
    right: 0;
    bottom: -5px;
}.-footer-widgets.-current-widgets-maps {
    max-width: 340px;
    min-width: 249px;
    flex: 1;
}.footer--sit-map {
    position: relative;
    padding-bottom: 50%;
    border-radius: var(--miniradius);
    overflow: hidden;
}.footer--sit-map>iframe {
    position: absolute;
    width: 100%;
    height: 100%;
}.-row-shares-items {
    display: flex;
    align-content: center;
    align-items: center;
    flex-wrap: wrap;
    position: relative;
    margin: 16px 0;
    justify-content: center;
}.-row-shares-items>a {
    position: relative;
    display: flex;
    line-height: 40px;
    height: 50px;
    border-radius: 15px;
    width: 50px;
    border: 1px solid var(--uicolor);
    text-align: center;
    font-size: 21px;
    color: #fff;
    margin-left: 14px;
    justify-content: center;
    align-items: center;
}.-row-shares-items>a:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 15px;
    background: var(--sociaColor);
    transition: 180ms;
    transform: scale(0);
}.-row-shares-items>a:hover:before {
    transform: scale(1);
    opacity: 1;
    visibility: visible;
}
.-row-shares-items>a:hover {
    color: #fff;
    border-color: transparent;
}
.curt-wds-pay {
    padding: 20px 10px;
    position: relative;
    z-index: 1;
}footer-bottom {
    display: flex;
    margin: 0;
    font-weight: 500;
    justify-content: center;
    gap: 25px;
}p.copyrights {
    font-size: 15px;
    font-weight: 400;
    color: #fff;
}.yourcolor--copyright {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    color: #fff;
}.yourcolor--copyright>p>a {
    margin-inline-start: 9px;
    filter: brightness(64.5);
}.-row-shares-items>a>i, footer {
    position: relative;
}